Package com.verisign.epp.interfaces

## Class EPPCoaDomainTst

- java.lang.Object
- - com.verisign.epp.interfaces.EPPCoaDomainTst

-     public class EPPCoaDomainTst
      extends java.lang.Object

  Is a unit test of the using the Client Object Attribute classes with the `EPPDomain` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDomain` operations with Client Object Attribute Extensions, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPPersRegTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPCoaDomainTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPCoaDomainTst`.
    `void` | `coaCreate()` | Unit test of using the Client Object Attribute Extension with `EPPDomain` Create .
    `void` | `coaFullInfoNotOwnedDomain()` | Unit test of `EPPDomain` Info on a domain owned by a different registrar - This should NOT return COA data.
    `void` | `coaFullInfoOwnedDomain()` | Unit test of `EPPDomain` Info on an owned domain - this should return COA data.
    `void` | `coaPartialInfo()` | Unit test of `EPPDomain` Info returning partial info results.
    `void` | `coaUpdatePut()` | Unit test of adding COA with `EPPDomain` Update .
    `void` | `coaUpdateRem()` |
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeDomainName()` | This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeEmail()` | This method tries to generate a unique String as Domain Name and Name Server
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testCoa()` | JUNIT test method to implement the `EPPCoaDomainTst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPCoaDomainTst

          public EPPCoaDomainTst()

  - ### Method Detail

    - #### testCoa

          public void testCoa()

      JUNIT test method to implement the `EPPCoaDomainTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

    - #### coaCreate

          public void coaCreate()

      Unit test of using the Client Object Attribute Extension with `EPPDomain` Create .

    - #### coaUpdateRem

          public void coaUpdateRem()

    - #### coaUpdatePut

          public void coaUpdatePut()

      Unit test of adding COA with `EPPDomain` Update .

    - #### coaFullInfoOwnedDomain

          public void coaFullInfoOwnedDomain()

      Unit test of `EPPDomain` Info on an owned domain - this should return COA data.

    - #### coaFullInfoNotOwnedDomain

          public void coaFullInfoNotOwnedDomain()

      Unit test of `EPPDomain` Info on a domain owned by a different registrar - This should NOT return COA data.

    - #### coaPartialInfo

          public void coaPartialInfo()

      Unit test of `EPPDomain` Info returning partial info results. - This should NOT return COA data.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPCoaDomainTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        Random domain name

    - #### makeEmail

          public java.lang.String makeEmail()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        Random email address